use bevy::prelude::*;

#[derive(Component)]
struct Position { x: f32, y:f32}

fn hello_world() {
    println!("Hello World!");
}


fn print_position_system(query : Query<&Transform>) {
    for transform in query.iter() {
        println!("position {:?}", transform.translation)
    }
}


fn main() {
    App::new()
    .add_system(hello_world)
    .run();
    }
